EnglishУкраїнськаРocсийский
Login/New
Topic with no new replies

Size limitation in database field for IO parameters in DAQ template


Author Message
Written on: 03. 07. 2017 [20:11]
cvillegas
Claudio Villegas
Topic creator
registered since: 26.10.2016
Posts: 14
Hi

I have noticed that the IO parameters for DAQ templates of logical parameters, when stored in the MySQL database, are limited to a 200 character string.
I have generated a logical parameter template that handles a list of parameters that are entered as text type IO. Everything works fine until the parameter is disabled and enabled again, since in the DB the list entered is truncated.
(Attached images for better explanation)

I tried to solve it by changing the length of the field in the database, however the list is truncated to 200 characters.

If the field is saved "manually" with the list string, before enabling the parameter, the list is fully recovered when the parameter is enabled.

I have not been able to come up with a way to solve this. Is it possible that any improvement can be considered?

I hope I have expressed myself clearly enough.
I really appreciate any comments.
Best regards.



[This article was edited 1 times, at last 04.07.2017 at 00:44.]
Attachment

Parameter Template IO.png (File type: image/png, Size: 31.23 kilobytes) — 34 downloads
Parameter Template Configuration.png (File type: image/png, Size: 27.72 kilobytes) — 31 downloads
Written on: 04. 07. 2017 [09:33]
roman
Roman Savochenko
Moderator
Contributor
Developer
registered since: 12.12.2007
Posts: 3275
I have expanded size of the field from 200 to 1000000 for DAQ.LogicLev and DAQ.ModBus.

Learn, learn and learn better than work, work and work.
Written on: 04. 07. 2017 [16:26]
cvillegas
Claudio Villegas
Topic creator
registered since: 26.10.2016
Posts: 14
Thank you very much for your reply.
I'll wait for the commit.
Have a good day.
Written on: 04. 07. 2017 [19:14]
cvillegas
Claudio Villegas
Topic creator
registered since: 26.10.2016
Posts: 14
Sorry for my confusion, I am currently running version 0.9 + r2491.
This modification is in version 0.9 + r2500?

Thank you very much.
Written on: 05. 07. 2017 [07:47]
roman
Roman Savochenko
Moderator
Contributor
Developer
registered since: 12.12.2007
Posts: 3275
"cvillegas" wrote:

Sorry for my confusion, I am currently running version 0.9 + r2491.
This modification is in version 0.9 + r2500?

No, wait for 0.9+r2504.

Learn, learn and learn better than work, work and work.



1872